Redmine 1.4.x support

11 Jun 2012 08:59 - Andriy Lesyuk

Status: Closed Start date: 11 Jun 2012

Priority: Major Due date: 09 Dec 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

Redmine version:  External issue:  

Description

User reports it does not work under 1.4.x:

ActionView::TemplateError (No route matches {:controller⇒"contact_form", :action⇒"settings", :tab⇒

"contact_form"}) on line #10 of vendor/plugins/contact_form/app/views/settings/_contact_form.rhtml

:

7: <% end >

8: < users_options << [ l(:label_other_email) + ':', '' ] >

9:

10: < form_tag({ :controller ⇒ 'contact_form’, :action ⇒ 'settings’, :tab ⇒ 'contact_form’ }) do %

>

11:

12: <div class="box tabular settings">

13: <p>

Associated revisions

Revision 31 - 09 Dec 2012 12:13 - Andriy Lesyuk

Some other fixes for 1.4.x (#2050)

Revision 32 - 09 Dec 2012 22:02 - Andriy Lesyuk

Removed Project field (#1920), finished porting for Redmine 1.4.x (#2050)

History

#1 - 01 Dec 2012 18:41 - Rob Spearman

Also, on the user edit page I get this error:

Processing UsersController#edit (for 24.16.252.142 at 2012-12-01 10:22:10) [GET]

  Parameters: {"controller"=>"users", "id"=>"1", "action"=>"edit"}

Rendering template within layouts/admin

Rendering users/edit

ActionView::TemplateError (uninitialized constant ActionView::Base::CompiledTemplates::TabularFormBuilder) on 

line #1 of vendor/plugins/contact_form/app/views/users/_preferences.rhtml:

1: <% fields_for :pref, @user.pref, :builder => TabularFormBuilder, :lang => current_language do |pref_fields|

 %>

2: <% if Setting.users_contact_form? %>

3: <p><%= pref_fields.check_box :contact_form %></p>

4: <% end %>

    vendor/plugins/contact_form/app/views/users/_preferences.rhtml:1:in `_run_rhtml_vendor47plugins47contact_f

orm47app47views47users47_preferences46rhtml_locals_object_preferences'

    app/views/users/_form.html.erb:46

    app/views/users/_general.html.erb:2

    app/helpers/application_helper.rb:934:in `labelled_form_for'

    app/views/users/_general.html.erb:1

    app/views/common/_tabs.html.erb:24

    app/views/common/_tabs.html.erb:23:in `each'

    app/views/common/_tabs.html.erb:23

    app/helpers/application_helper.rb:231:in `render_tabs'
    app/views/users/edit.html.erb:9

    passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_reque

st'

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handle

r'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_applica

tion'

    passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_applica

tion'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.12) helper-scripts/passenger-spawn-server:99

 

Any way I can help debug the problem?

#2 - 09 Dec 2012 12:17 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 50
#3 - 09 Dec 2012 15:02 - Andriy Lesyuk

- % Done changed from 50 to 60

#4 - 09 Dec 2012 22:06 - Andriy Lesyuk

- Due date set to 09 Dec 2012

- Status changed from In Progress to Closed

- % Done changed from 60 to 100
